#!/bin/bash
echo "autoshredding these files:"
find . -type f \( -path ".git" -o -path "keystore" -o -path "archives" \) -prune \( -name "*.sha512" -o -name "checksums*" -o -name "private*" -o -name ".*" -o -name "*.sig" -o -name "*.7z" -o -name "anonymous_signer" \) -print -delete

echo "autoshredding out"
srm -r out

echo "rebuilding out"
mkdir -p out/contents
echo "put files to verifiably archive in here" > out/contents/README.md
echo "# todo: make this nice" > out/README.md 

echo done :3

